/*
    BARRA DE NAVEGACIÓN - ROUTING

    Mirar las paginas principales para ver
    la explicación de ciertos atributos comunes:
    - index.html
    - reviews.html

*/

#nav-bar,
#nav-bar * {
    box-sizing: border-box;
    margin: 0;
    padding: 0;
}

/*
    La barra de navegación
*/

#nav-bar {
    z-index: 100;
    margin: auto;
    padding: 15px;
    border-radius: 10px 10px 0 0;
    display: flex;
    gap: 30px;
    justify-content: center;
    background-color: mediumslateblue;
    font-size: 1.5em;
    box-shadow: 0px 0px 2px 2px rgba(153, 96, 227, 0.994);
}

#nav-bar a {
    text-decoration: none;
    color: rgb(135, 71, 246);
    transition: all .3s;
}

#nav-bar a:hover {
    cursor: pointer;
    transform: scale(1.1);
}

/*
    Los textos sólo los mostramos
    en el menu seleccionado
*/

#nav-bar a .Text {
    display: none;
}

#nav-bar a.Selected .Text {
    display: block;
}

/*
    Cada uno de los menús
*/

#home,
#contact {
    display: flex;
    flex-direction: row;
    gap: 10px;
    justify-content: center;
    border-radius: 10px;
    padding: 10px;
    box-shadow: 0px 0px 5px 2px rgba(197, 167, 204, 0.826);
}

/*
    Cada uno de los menús seleccionados
*/

#home.Selected,
#contact.Selected {
    box-shadow: none;
    box-shadow: 0px 0px 5px 5px rgba(4, 4, 4, 0.617);
    background-color: rgb(242, 236, 228);
}

/*
    Los iconos de los menús
*/

#home .Icon,
#contact .Icon {
    background-size: contain;
    background-repeat: no-repeat;
    background-position: center;
    border-radius: 10px;
    height: 5vh;
    width: 5vh;
}

#home .Icon {
    background-image: url(home.png);
}

#contact .Icon {
    background-image: url(support.png);
}

/*
    Cuando pasa de un determinado ancho lo mostramos
    en dos columnas y cambiamos la dirección de la barra
*/
@media (min-width: 1280px) {
    #nav-bar {
        height: 100%;
        flex-direction: column;
        justify-content: start;
        padding: 20px;
        gap: 30px;
        border-radius: 10px;
        box-shadow: 3px 2px 1px 0px rgba(153, 96, 227, 0.994);
    }

    #home,
    #contact {
        padding: 10px;
        flex-direction: column;
        align-items: center;
        background-size: 80%;
        background-repeat: no-repeat;
        background-position: bottom;
        border-radius: 10px;
        display: flex;
    }
}
